/* 
 *  This program is an interactive FAQ to ease investigations.
 *  Copyright (C) 2012 Julien Bruguier.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */ 

#include <cmath>
#include <string>
#include <vector>
#include <set>
#include <iostream>

#include <src/global/global.h>
#include <src/global/exceptions.h>
#include <src/global/sources/position.h>

#include <src/investigation/donnees/expressionrationnelle.h>
#include <src/investigation/donnees/site.h>
#include <src/investigation/donnees/instruction.h>
#include <src/investigation/donnees/page.h>
#include <src/investigation/donnees/selectionpage.h>
#include <src/investigation/donnees/texte.h>
#include <src/investigation/donnees/question.h>
#include <src/investigation/donnees/condition.h>
#include <src/investigation/donnees/selectionreponse.h>
#include <src/investigation/donnees/reponsechoix.h>
#include <src/investigation/donnees/condition.h>
#include <src/investigation/donnees/debug_conditions.h>
